button {
  padding: 1em 2em;
  outline: none;
  font-weight: 600;
  border: none;
  color: #fff;
  background: #c94e50;
}

.dialog,
.dialog__overlay {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}

.dialog {
  position: fixed;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
  align-items: center;
  -webkit-justify-content: center;
  justify-content: center;
  pointer-events: none;
      z-index: 9999999;
}

.dialog__overlay {
  position: absolute;
  z-index: 1;
  background: rgba(55, 58, 71, 0.9);
  opacity: 0;
  -webkit-transition: opacity 0.3s;
  transition: opacity 0.3s;
  -webkit-backface-visibility: hidden;
}

.dialog--open .dialog__overlay {
  opacity: 1;
  pointer-events: auto;
}

.dialog__content {
  width: 50%;
  max-width: 560px;
  min-width: 290px;
  background: #fff;
  padding: 4em;
  text-align: center;
  position: relative;
  z-index: 5;
  opacity: 0;
}

.dialog--open .dialog__content {
  pointer-events: auto;
}

/* Content */
.dialog h2 {
  margin: 0;
  font-weight: 400;
  font-size: 2em;
  padding: 0 0 2em;
  margin: 0;
}



.dialog--open .dialog__overlay {
  -webkit-transition-duration: 0.8s;
  transition-duration: 0.8s;
}

.dialog--close .dialog__overlay {
  -webkit-transition-duration: 0.5s;
  transition-duration: 0.5s;
}

.dialog__content {
  padding: 0;
  background: transparent;
}

.dialog.dialog--open .dialog__content {
  opacity: 1;
}

.morph-shape {
  position: absolute;
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  top: -2px;
  left: -2px;
  z-index: -1;
}

.morph-shape svg rect {
  stroke: #fff;
  stroke-width: 2px;
  stroke-dasharray: 1680;
}

.dialog--open .morph-shape svg rect {
  -webkit-animation: anim-dash 0.6s forwards;
  animation: anim-dash 0.6s forwards;
}

.dialog-inner {
  opacity: 0;
  background: #fff;
}

.dialog--open .dialog-inner {
  padding: 4em;
  opacity: 1;
  -webkit-transition: opacity 0.85s 0.35s;
  transition: opacity 0.85s 0.35s;
}

.dialog.dialog--open h2 {
  -webkit-animation: anim-elem-1 0.7s ease-out both;
  animation: anim-elem-1 0.7s ease-out both;
}

.dialog.dialog--open button {
  -webkit-animation: anim-elem-2 0.7s ease-out both;
  animation: anim-elem-2 0.7s ease-out both;
}


.dialog .caldera-grid .form-control {
    font-size: 14px;
    color: #fff;
    background: #58585a;
    min-height: 33px;
    border: 0;
    border-radius: 0;
}
.dialog h2 {
    font-weight: 400;
    color: #58585a;
    font-size: 26px;
    padding: 0;
    margin: 0 0 25px;
    letter-spacing: 0;
    text-transform: none;
    line-height: 1;
}


.dialog--open .dialog-inner {
    padding: 50px ;
}
button.action.close {
    width: 32px;
    height: 32px;
    background: #fff;
    border-radius: 50%;
    position: absolute;
    top: -17px;
    right: -17px;
    -webkit-appearance: none;
    border: 0;
    cursor: pointer;
}
.dialog--open .dialog-inner{
    padding:50px !important;
}


.dialog h2:after {
    display: none;
}

input#fld_2973497_1 {
    border: 0;
    border-radius: 3px;
    box-shadow: 4px 9px 43px -6px rgba(41,41,41,0.5);
    padding: 14px 22px 13px;
    font-size: 14px;
    font-weight: 700;
    color: #fff;
    cursor: pointer;
    display: inline-block;
    transition: all 0.25s ease-out 0s;
    background: #72c267;
}

input#fld_2973497_1:hover {
    background: #58585a;
}

@keyframes anim-dash {
  0% {
    stroke-dashoffset: 1680;
  }
  100% {
    stroke-dashoffset: 0;
  }
}

@-webkit-keyframes anim-dash {
  0% {
    stroke-dashoffset: 1680;
  }
  100% {
    stroke-dashoffset: 0;
  }
}

/* Inner elements animations */

@-webkit-keyframes anim-elem-1 {
  0% { opacity: 0; -webkit-transform: translate3d(-150px, 0, 0); }
  100% { opacity: 1; -webkit-transform: translate3d(0, 0, 0); }
}

@keyframes anim-elem-1 {
  0% { opacity: 0; -webkit-transform: translate3d(-150px, 0, 0); transform: translate3d(-150px, 0, 0); }
  100% { opacity: 1; -webkit-transform: translate3d(0, 0, 0); transform: translate3d(0, 0, 0); }
}

@-webkit-keyframes anim-elem-2 {
  0% { opacity: 0; -webkit-transform: translate3d(150px, 0, 0); }
  100% { opacity: 1; -webkit-transform: translate3d(0, 0, 0); }
}

@keyframes anim-elem-2 {
  0% { opacity: 0; -webkit-transform: translate3d(150px, 0, 0); transform: translate3d(150px, 0, 0); }
  100% { opacity: 1; -webkit-transform: translate3d(0, 0, 0); transform: translate3d(0, 0, 0); }
}

